version: "3"

services:
  vaultwarden:
    image: vaultwarden/server:latest
    container_name: vaultwarden
    restart: unless-stopped
    volumes:
      - /opt/vaultwarden/data:/data
    environment:
      - DOMAIN=https://vault.cutemeli.com
      - ADMIN_TOKEN=Av3sM@NN5JyRk#ChqwxaberYYJfkpX
      - WEBSOCKET_ENABLED=true
      - SIGNUPS_ALLOWED=false
      - LOG_FILE=/data/vaultwarden.log
    ports:
      - "127.0.0.1:8081:80"
